add_executable(tests_opengl
        main.cpp
        displayers.h
        displayers.cpp)

target_link_directories(tests_opengl PRIVATE
        ${PROJECT_SOURCE_DIR}/src)

target_include_directories(tests_opengl PRIVATE
        ${PROJECT_SOURCE_DIR}/src)

target_link_libraries(tests_opengl
        ${OPENGL_LIBRARIES}
        ${GLUT_LIBRARIES}
        engine)

target_include_directories(tests_opengl PRIVATE
        ${OPENGL_INCLUDE_DIR}
        ${GLUT_INCLUDE_DIR})